Public Member Functions
ICENodeOutputPort Class Reference

## Detailed Description

A ICENodeOutputPort object represents the output port of an ICENode.

The ICENodeOutputPort connects to one or multiple ICENode objects. An ICENode can have more than one ICENodeOutputPort.

See also:
  ICENodePort, ICENodeInputPort, ICENode::GetOutputPorts

Since:
  7.0

`#include <xsi_icenodeoutputport.h>`

Inheritance diagram for ICENodeOutputPort:
[legend]

List of all members.

## Public Member Functions
| ICENodeOutputPort ()
| ~ICENodeOutputPort ()
| ICENodeOutputPort (const CRef &in_ref)
| ICENodeOutputPort (const ICENodeOutputPort &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
ICENodeOutputPort & | operator= (const ICENodeOutputPort &in_obj)
ICENodeOutputPort & | operator= (const CRef &in_ref)

## Constructor & Destructor Documentation

ICENodeOutputPort | ( |  | ) |

Default constructor.

~ICENodeOutputPort | ( |  | ) |

Default destructor.

ICENodeOutputPort | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

ICENodeOutputPort | ( | const ICENodeOutputPort & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const `[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from ICENodePort.

siClassID GetClassID | ( |  | ) | const `[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from ICENodePort.

ICENodeOutputPort& operator= | ( | const ICENodeOutputPort & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the output object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new ICENodeOutputPort object.

ICENodeOutputPort& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the output reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new ICENodeOutputPort object.

Reimplemented from ICENodePort.

The documentation for this class was generated from the following file:

- xsi_icenodeoutputport.h